Subject: bug#5146: Malayalam conjuncts are not formed inside 'call editor' buffer of po-mode

From: Kenichi Handa <[email-masked]>
Date: Sat, 12 Dec 2009 11:21:05 +0900

In article <[email-masked]>, Praveen A <[email-masked]> writes:

> 2009/12/10 Kenichi Handa <[email-masked]>:
> > the rendering problem disappears except for that a little
> > bit smaller glyphs are shown compared with the case when you
> > use the other fonts (e.g. rachana).  How about you?

> Meera has a different Ascent and Descent values compared to other
> fonts. Meera has ascent and descent as 1147, 901. Rachana has it as
> 1638, 410. This is to accommodate the characteristics of Malayalam
> script. And this change results in smaller sizes compared to other
> fonts. The fontconfig rule was added to offset small size for Meera
> compared to other fonts.

Hmmm, I think there should be some consensus among Malayalam
font developpers as for this matter.

> Pango/GTK applications understand the scaling directives and scales up
> Meera font properly. The ideal solution is to have m17n/emacs
> implement fontconfig scaling feature.

I've just installed a fix.  I also fixed the regular
expression of Malayalam characters in
composition-function-table to fix another bug.  I'll fix 
regular expressions for the other Indic characters soon.

Please try with the latest CVS code.

---
Kenichi Handa
[email-masked]